package com.ydl.js_module.manager

import com.ydl.js_module.util.RouterParamsUrls
import com.ydl.js_module.util.WebViewRouterUtils


/**
 * @author yuanWai
 * @描述:webview路由入口类（todo 目前先简单写，还可以做很多事情，比如操作webview界面）
 * @Copyright Copyright (c) 2018
 * @Company 壹点灵
 * @date 2018/12/5
 */
class WebViewRouterManager{
    /**
     * 调用原生方法入口
     */
    fun toNative(url : String) : Boolean{
        if (!WebViewRouterUtils.isRouterUrl(url)){
            return false
        }
        val routerParamsUrls = RouterParamsUrls(url)
        RouterAnalysis.instance.routerInvoke(routerParamsUrls)
        return true
    }

}